# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /home/runner/work/distributions/distributions/plugin/conda-recipe, last modified Thu Jun 18 09:16:03 2026
# ------------------------------------------------

package:
  name: rachis
  version: 2026.7.0.dev0+19.gbc0066e
source:
  path: /home/runner/work/distributions/distributions/plugin
build:
  number: '0'
  script: make install
  string: py312h2d44659_0
requirements:
  build:
    - _openmp_mutex 4.5 20_gnu
    - bzip2 1.0.8 hda65f42_9
    - ca-certificates 2026.6.17 hbd8a1cb_0
    - importlib-metadata 9.0.0 pyhcf101f3_0
    - ld_impl_linux-64 2.45.1 default_hbd61a6d_102
    - libexpat 2.8.1 hecca717_1
    - libffi 3.5.2 h3435931_0
    - libgcc 15.2.0 he0feb66_19
    - libgcc-ng 15.2.0 h69a702a_19
    - libgomp 15.2.0 he0feb66_19
    - liblzma 5.8.3 hb03c661_0
    - libnsl 2.0.1 hb9d3cd8_1
    - libsqlite 3.53.2 h0c1763c_0
    - libuuid 2.42.2 h5347b49_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.2 h25fd6f3_2
    - ncurses 6.6 hdb14827_0
    - openssl 3.6.3 h35e630c_0
    - packaging 26.2 pyhc364b38_0
    - pip 26.1.2 pyh8b19718_0
    - python 3.12.13 hd63d673_0_cpython
    - readline 8.3 h853b02a_0
    - setuptools 82.0.1 pyh332efcf_0
    - tk 8.6.13 noxft_h366c992_103
    - tomli 2.4.1 pyhcf101f3_0
    - tzdata 2025c hc9c84f9_1
    - versioningit 3.3.0 pyhd8ed1ab_0
    - wheel 0.47.0 pyhd8ed1ab_0
    - zipp 4.1.0 pyhcf101f3_0
    - zstd 1.5.7 hb78ec9c_6
  host:
    - _openmp_mutex 4.5 20_gnu
    - bzip2 1.0.8 hda65f42_9
    - ca-certificates 2026.6.17 hbd8a1cb_0
    - importlib-metadata 9.0.0 pyhcf101f3_0
    - ld_impl_linux-64 2.45.1 default_hbd61a6d_102
    - libexpat 2.8.1 hecca717_1
    - libffi 3.5.2 h3435931_0
    - libgcc 15.2.0 he0feb66_19
    - libgcc-ng 15.2.0 h69a702a_19
    - libgomp 15.2.0 he0feb66_19
    - liblzma 5.8.3 hb03c661_0
    - libnsl 2.0.1 hb9d3cd8_1
    - libsqlite 3.53.2 h0c1763c_0
    - libuuid 2.42.2 h5347b49_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.2 h25fd6f3_2
    - ncurses 6.6 hdb14827_0
    - openssl 3.6.3 h35e630c_0
    - packaging 26.2 pyhc364b38_0
    - pip 26.1.2 pyh8b19718_0
    - python 3.12.13 hd63d673_0_cpython
    - readline 8.3 h853b02a_0
    - setuptools 82.0.1 pyh332efcf_0
    - tk 8.6.13 noxft_h366c992_103
    - tomli 2.4.1 pyhcf101f3_0
    - tzdata 2025c hc9c84f9_1
    - versioningit 3.3.0 pyhd8ed1ab_0
    - wheel 0.47.0 pyhd8ed1ab_0
    - zipp 4.1.0 pyhcf101f3_0
    - zstd 1.5.7 hb78ec9c_6
  run:
    - bibtexparser
    - dill
    - flufl.lock
    - lxml
    - networkx 3.6.1.*
    - pandas 2.3.3.*
    - parsl 2026.2.23.*
    - platformdirs
    - psutil
    - python >=3.12,<3.13.0a0
    - python-dateutil
    - python_abi 3.12.* *_cp312
    - pyyaml
    - tomlkit
    - tzlocal 5.3.1.*
test:
  commands:
    - QIIMETEST= python -c "import rachis.plugins.dummy_plugin"
    - QIIMETEST= py.test --pyargs --doctest-modules rachis
  imports:
    - rachis
  requires:
    - notebook
    - pytest
    - tornado
about:
  home: https://qiime2.org
  license: BSD-3-Clause
  license_family: BSD
extra:
  copy_test_source_files: true
  final: true
